/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ShipmentToCustomer;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class ShipmentDetail {
    public BigDecimal calcWeight() {
        return new BigDecimal(0);
    }

    public Vector mi_assessDeviationFromSales() {
        return new Vector();
    }

    public Vector mi_compareShipmentWithDeliveries() {
        return new Vector();
    }

    private int qty;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ProductSaleMgmt.DeliveryToCustomer.DeliveryDetail lnkUnnamed2;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..1
     * @label derivable
     */
    private ProductSaleMgmt.Product.ProductDesc lnkUnnamed1;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1..*
     */
    private ProductSaleMgmt.InvoiceToCustomer.InvoiceDetail lnkUnnamed;
    private int UOM;
}


